Skip to main content
GET
List tags

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

guild_id
string
required

The server's ID. Must be the server the token was created for.

Pattern: ^\d{17,20}$
Example:

"301655085954367490"

Query Parameters

bot
enum<string>

Set to pro to act on the Quark Pro bot's configuration. Leave out for the main Quark bot.

Available options:
pro

Response

The tags.

id
string

The server ID.

Pattern: ^\d{17,20}$
Example:

"301655085954367490"

tag_id
string

The tag's ID. Use it to update or delete the tag.

Example:

"a1B2c3D4e5"

tag_name
string

The tag's name, in lower case.

content
string | null

The text of the tag.

color
integer | null

Embed colour as an integer RGB value.

image
string | null

Image URL.